Get position segment labels
curl --request GET \
--url https://api.projectcor.com/v1/userPosition/labels/groupers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.projectcor.com/v1/userPosition/labels/groupers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.projectcor.com/v1/userPosition/labels/groupers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/userPosition/labels/groupers';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/userPosition/labels/groupers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/userPosition/labels/groupers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": 123,
"name": "<string>"
}
]
}{
"status": 400,
"name": "CORCustomError",
"code": "CTR002",
"message": "Invalid type data"
}{
"error": 123,
"message": "<string>"
}User Positions
Get position segment labels
Returns list of segment labels used to group user positions.
This endpoint is only available for companies with feature flag to manage positions by labels enabled. The endpoint requires authentication and will return a 403 error if the feature is not enabled for company.
GET
/
userPosition
/
labels
/
groupers
Get position segment labels
These labels are not user positions (e.g., “Backend Developer”, “Analista de datos”). They are the classification criteria used to group positions (e.g., by seniority, area, or department). To retrieve actual user positions grouped by category, use GET /userPosition/getPositionsOnly.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Defines whether labels are retrieved for positions or categories. Must be 'c' for categories or 'p' for positions
Available options:
c, p Example:
"p"
Response
List of segment labels
Show child attributes
Show child attributes
Was this page helpful?

